#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Statistics.h"

#include <sstream>
using namespace std;

namespace morpheo {
namespace behavioural {
namespace generic {
namespace registerfile{
namespace registerfile_multi_banked {


  string Statistics::print (uint32_t depth)
  {
    log_printf(FUNC,RegisterFile_Multi_Banked,"print","Begin");

    string        tab = string(depth,'\t');
    ostringstream msg;

    msg << tab << "<registerfile_multi_banked name=\"" << _name << "\" >" << endl
        << print_body(depth+1) << endl
	<< tab << "</registerfile_multi_banked>" << endl;
    
    log_printf(FUNC,RegisterFile_Multi_Banked,"print","End");

    return msg.str();
  };

  ostream& operator<< (ostream& output_stream ,
		       morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Statistics & x)
  {
    output_stream << x.print(0);

    return output_stream;
  };

}; // end namespace registerfile_multi_banked
}; // end namespace registerfile
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
